#!/bin/bash
#SBATCH --job-name=rpobblast_job        # Job name
#SBATCH --mail-type=END,FAIL             # Mail events (NONE, BEGIN, END, FAIL, ALL)
#SBATCH --mail-user=bmf502@york.ac.uk     # Where to send mail
#SBATCH --ntasks=1                       # Run on a single CPU
#SBATCH --mem=4gb                        # Job memory request
#SBATCH --time=03:00:00                  # Time limit hrs:min:sec
#SBATCH --output=blastrpob_%j.log        # Standard output and error log
#SBATCH --account=biol-ralsto-2019         # Project account


# 1) First you need to make a database of your nucleotide sequences.

makeblastdb -in allNCHAINstrains.contigs.fna -dbtype nucl -out NCHAINstrains_blastdatabase

# 2) Run the blast-program:

blastn -query rpoB_seqs_notfound_greenhouse_list.txt -db NCHAINstrains_blastdatabase -evalue 0.1 -outfmt 6 > rpob_greenhouse_blastsearch.txt




